Bug 614917 - Vendor perl paths with trailing slash break libtool
Summary: Vendor perl paths with trailing slash break libtool
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: perl   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
urgent
medium
Target Milestone: rc
: ---
Assignee: Petr Pisar
QA Contact: Michal Nowak
URL:
Whiteboard:
Keywords: EasyFix
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-15 14:45 UTC by Steve Grubb
Modified: 2013-03-08 02:11 UTC (History)
6 users (show)

Fixed In Version: perl-5.10.1-115.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 21:20:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steve Grubb 2010-07-15 14:45:32 UTC
Description of problem:
During the build of openscap, it would fail creating the perl bindings with the following error message:

test -z "/usr/lib/perl5/vendor_perl/" || /bin/mkdir -p 
"/builddir/build/BUILDROOT/openscap-0.6.0-1.el6.i386/usr/lib/perl5/vendor_perl/"
 /bin/sh ../libtool   --mode=install /usr/bin/install -c   _openscap_pm.la 
'/builddir/build/BUILDROOT/openscap-0.6.0-1.el6.i386/usr/lib/perl5/vendor_perl/'
libtool: install: error: cannot install `_openscap_pm.la' to a directory not 
ending in /usr/lib/perl5/vendor_perl/

Full build log is here:
https://brewweb.devel.redhat.com/getfile?taskID=2597376&name=build.log

Comment 1 Petr Pisar 2010-07-15 16:39:27 UTC
This bug can be easily circumvent by removing trailing slash from vendor paths in perl configuration. Feel free to reassign to perl if you think fixing libtool is to hard.

Comment 2 Bill Nottingham 2010-07-15 16:56:40 UTC
Given that a full libtool fix would involve regenerating the local copies of libtool in many packages, I'd opt for the perl fix for now.

Comment 3 Petr Pisar 2010-07-15 17:15:24 UTC
Trivial fix:

Index: perl.spec
===================================================================
RCS file: /cvs/dist/rpms/perl/RHEL-6/perl.spec,v
retrieving revision 1.151
diff -u -r1.151 perl.spec
--- perl.spec   30 Jun 2010 14:57:07 -0000      1.151
+++ perl.spec   15 Jul 2010 17:12:35 -0000
@@ -1063,9 +1063,9 @@
         -Dsitelib="%{_prefix}/local/share/perl5" \
         -Dsitearch="%{_prefix}/local/%{_lib}/perl5" \
         -Dprivlib="%{privlib}" \
-        -Dvendorlib="%{privlib}/vendor_perl/" \
+        -Dvendorlib="%{privlib}/vendor_perl" \
         -Darchlib="%{archlib}" \
-        -Dvendorarch="%{archlib}/vendor_perl/" \
+        -Dvendorarch="%{archlib}/vendor_perl" \
 %if 0
         -Dprivlib="%{_prefix}/lib/perl5/%{perl_version}" \
         -Dsitelib="%{_prefix}/local/lib/perl5/site_perl/%{perl_version}" \

Comment 7 releng-rhel@redhat.com 2010-11-10 21:20:00 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.